mssql.googlecode.concurrentlinkedhashmap

## Interface Weigher<V>

    public interface Weigher<V>

A class that can determine the weight of a value. The total weight threshold is used to determine when an eviction is required.

Author:
  ben.manes@gmail.com (Ben Manes)
See Also:
  http://code.google.com/p/concurrentlinkedhashmap/

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `weightOf(V value)` Measures an object's weight to determine how many units of capacity that the value consumes.

### Method Detail

#### weightOf

    int weightOf(V value)

Measures an object's weight to determine how many units of capacity that the value consumes. A value must consume a minimum of one unit.

Parameters:
  `value` - the object to weigh
Returns:
  the object's weight